Query Call Status of a Queue
Query call status of a specific queue.
Request URL
GET {base_url}/{api_path}/queue/call_status?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the queue. Note:You can query queue's ID using Search Specific Queues. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| waiting_list | Array <Waiting_List> | Information of the calls waiting to be answered. |
| active_list | Array <Active_List> | Information of the ongoing calls. |
| waiting_calls | Integer | The number of the calls waiting to be answered. |
| active_calls | Integer | The number of the ongoing calls. |
| ringing_list | Array <Ringing_List> | Information of the calls that are currently ringing on agents' extensions. |
| ringing_calls | Integer | The number of the calls that are currently ringing on agents' extensions. |
Waiting_List
| Parameter | Type | Description |
|---|---|---|
| call_id | String | The unique ID of the call. |
| caller_number | String | Caller number. |
| caller_display_name | String | Caller name. |
| callee_number | String | The ID of the queue. |
| callee_display_name | String | The name of the queue. |
| duration | Integer | The time the call has been waiting in the queue (Unit: Second). |
Active_List
| Parameter | Type | Description |
|---|---|---|
| call_id | String | The unique ID of the call. |
| caller_number | String | Caller number. |
| caller_display_name | String | Caller name. |
| callee_number | String | The extension number of the agent answering the call. |
| callee_display_name | String | The name of the agent answering the call. |
| duration | Integer | Call duration (Unit: Second). |
Ringing_List
| Parameter | Type | Description |
|---|---|---|
| call_id | String | The unique ID of the call. |
| caller_number | String | Caller number. |
| caller_display_name | String | Caller name. |
| callee_number | String | The extension number of the agent whose extension is currently ringing. |
| callee_display_name | String | The name of the agent whose extension is currently ringing. |
| duration | Integer | The time the agent's extension has been ringing (Unit: Second). |
Examples
Request example
Query the call status of the queue with ID "3".
GET /openapi/v1.0/queue/call_status?access_token=CJal3eRlDZ987eX672NtVXsImV2wR8TZ&id=3 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"waiting_list": [
{
"call_id": "1699424450.42",
"caller_number": "5505501",
"caller_display_name": "Leo Ball",
"callee_number": "6402",
"callee_display_name": "Tech Support",
"duration": 5
}
],
"active_list": [
{
"call_id": "1699424409.38",
"caller_number": "5003301",
"caller_display_name": "",
"callee_number": "1006",
"callee_display_name": "Kristin Hale",
"duration": 24
},
{
"call_id": "1699424381.30",
"caller_number": "5003001",
"caller_display_name": "Joe Lewis",
"callee_number": "1001",
"callee_display_name": "Phillip Huff",
"duration": 56
}
],
"waiting_calls": 1,
"active_calls": 2
"ringing_list": [
{
"call_id": "1699424450.144",
"caller_number": "5505501",
"caller_display_name": "Leo Ball",
"callee_number": "1003",
"callee_display_name": "Joe Lewis",
"duration": 3
}
],
"ringing_calls": 1
}